pages:
  stage: deploy
  only:
    - master
  image: node:13
  variables:
    BASE_PATH: /geobreak
  before_script:
    - npm ci
  script:
    # Cf https://sapper.svelte.dev/docs#Base_URLs
    - NODE_ENV=production npm run export -- --basepath $BASE_PATH
    - mv __sapper__/export$BASE_PATH public/
  artifacts:
    paths:
      - public/
